Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2021-02416, UID# 3078
App. Status: Expired

Valid: 07/11/2021 - 07/14/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2785 (07/09/2021)

Charge Cost Quantity Total
Non-Taxable
added 07/09/2021 9:08 AM

Fee for over length permit

$30.00 x 1 $30.00
added 07/09/2021 8:42 AM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 07/09/2021 9:08 AM

Fee for over width permit

$30.00 x 1 $30.00
added 07/09/2021 8:42 AM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 07/09/2021 9:08 AM

For movement on Plant Road

$60.00 x 1 $60.00
Grand Total
Total $180.00
Payment 07/09/2021$180.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantLance W. Hjelmen - 07/09/2021 8:42 AM
ba6966351f1031ec2997f45ae716a789
1b196592295421c6266306828a7acf4a
 
#1 Permit Issuing OfficialRachel Grimm - 07/09/2021 9:08 AM
8b400da68713cf1e448f49328130a766
5de9d7719385d5f0f59a7ec2342426d8
 
Permit has been approved. All signatures have been obtained.